@mixin app-pact-landing-page-theme($theme) {
  $primary: map-get($theme, primary);
  $warn: map-get($theme, warn);
  $accent: map-get($theme, accent);

  .wrapper {
    display: flex;
    flex-direction: column;

    .main-content {
      display: flex;
      flex-direction: column;
      height: 100vh;
      width: 100%;
      margin: 0 auto;
      background: mat-color($primary, 50);

      .top-menubar {
        overflow: hidden;
        position: fixed;
        height: 70px !important;
        top: 0;
        width: 100%;
        z-index: 2;
        color: white;
        background: mat-color($primary);
        // background: linear-gradient(to right, mat-color($primary, 100), mat-color($primary, 200), mat-color($primary, 300) 30%, mat-color($primary, 500) 70%);

        #toolbarMenu {
          cursor: pointer;
          margin-right: 5px;
          color: white;
        }

        #toolbarMenu:hover {
          // color: mat-color($warn);
          color: #FF5722;
        }

        .toolbar-spacer1 {
          flex: 1 1;
        }
        .toolbar-spacer2 {
          flex: 2 2 ;
        }

        .logo {
          width: 390px;
          height: 100px;
          margin: 5px;
          cursor: pointer;
        }

        .main-title {
          font-size: 1.1em;
          // font-weight: bold;
          cursor: pointer;
        }

        .user-icon {
          //margin-bottom: -10px;
          display: flex;
          //padding-bottom: 20px;
          //align-self: flex-end;
        }

        .user-icon:hover {
          cursor: pointer;
          color: mat-color($warn);
        }
      }

      #sidenavContainer {
        flex: 1;
        background-color: mat-color($primary, 50);

        .mat-drawer-inner-container {
          overflow-x: hidden;
        }

        .mat-sidenav {
          top: 70px !important;
          bottom: 40px !important;
        }

        main {
          display: flex;
          width: 100%;
          margin-top: 25px;
          background-color: mat-color($primary, 50);
        }
      }

      .footer {
        display: flex;

        mat-toolbar {
          height: 40px;
          font-size: 0.9em;

          .copyright {
            display: flex;
            flex: auto;
          }

          .themeColor {
            display: flex;
            width: 60px;
          }

          .helpSupport {
            display: flex;
            width: 100px;
            .link-label{
              color: white;
            }
            .link-label:hover{
              cursor: pointer;
              color: mat-color($accent);
            }
          }
        }
      }
    }
  }

  .avatar-card {
    padding: 10px !important;
    padding-bottom: 4px !important;

    .mat-card-avatar {
      height: 40px;
      width: 40px;

      .mat-icon {
        color: mat-color($primary, 100);
        font-size: 3em;
        margin-top: -7px;
      }
    }

    .mat-card-title {
      font-size: 1em;
      font-weight: bold;
    }

    .mat-card-subtitle {
      margin-bottom: 0px;
      font-size: 0.7em;
    }

    .last-login {
      font-size: 0.7em;
      color: rgba(0, 0, 0, 0.54);
    }
  }

  .toolbar-spacer {
    flex: 1 1 auto;
  }

  .mat-drawer-container {
    margin-top: 50px;
  }

  @media(max-width: 599px) {
    #sidenavContainer {
      .mat-sidenav {
        top: 50px !important;
      }
    }
  }
}
